% function describing mean disorientation angle dependence on distance
% corresponding to chord length distribution with one Rayleigh function
% new version 01.03.18

function cl1Rayleigh = cl1Rayleigh(fitparams,x)

cl1Rayleigh = abs(fitparams(1)) +  abs(fitparams(2))*erf(x*sqrt(pi)/2/abs(fitparams(3)));

% 1 .. theta-irr
% 2 .. theta-corr - theta-irr
% 3 .. lambda-all
% 4 .. theta-uncorr - theta-corr
% 5 .. lambda-uncorr
