% function describing mean disorientation angle dependence on distance
% corresponding to chord length distribution with two Rayleigh functions
% new version 01.03.18

function cl2Rayleigh = cl2Rayleigh(fitparams,x)

cl2Rayleigh = abs(fitparams(1)) +  abs(fitparams(2))*erf(x*sqrt(pi)/2/abs(fitparams(3))) + ...
                            abs(fitparams(4))*erf(x*sqrt(pi)/2/abs(fitparams(5)));

% 1 .. theta-irr
% 2 .. theta-corr - theta-irr
% 3 .. lambda-all
% 4 .. theta-uncorr - theta-corr
% 5 .. lambda-uncorr
