% function to calculate quaternion product p q-1
% corresponding to the misorientation between orientation P and Q
% (in the crystal system of orientation Q)
% preserves structure (list or map)
function [Ra,Rb,Rc,Rd] = misorientation(Pa,Pb,Pc,Pd,Qa,Qb,Qc,Qd);

Ra = Qa.*Pa+Qb.*Pb+Qc.*Pc+Qd.*Pd;
Rb = Qa.*Pb-Qb.*Pa+Qc.*Pd-Qd.*Pc;
Rc = Qa.*Pc-Qc.*Pa+Qd.*Pb-Qb.*Pd;
Rd = Qa.*Pd-Qd.*Pa+Qb.*Pc-Qc.*Pb;